Bug 221027 - [exp-run] define MAKEINFO variable with USES=makeinfo
Summary: [exp-run] define MAKEINFO variable with USES=makeinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-26 16:10 UTC by Jung-uk Kim
Modified: 2017-08-01 05:47 UTC (History)
5 users (show)

See Also:
koobs: exp-run+


Attachments
Set MAKEINFO to the full path of makeinfo (478 bytes, patch)
2017-07-26 16:10 UTC, Jung-uk Kim
no flags Details | Diff
Set MAKEINFO to the full path of makeinfo (11.61 KB, patch)
2017-07-27 21:00 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2017-07-26 16:10:29 UTC
Created attachment 184739 [details]
Set MAKEINFO to the full path of makeinfo

Some times it is useful to know the full path of makeinfo when USES=makeinfo is set.  This patch defines MAKEINFO for us.
Comment 1 Mathieu Arnold freebsd_committer 2017-07-27 13:05:45 UTC
There are ports that define a MAKEINFO variable and that use USES=makeinfo, could you either fix those by changing the variable they use, or use another variable, like MAKEINFO_CMD?
Comment 2 Jung-uk Kim freebsd_committer 2017-07-27 21:00:55 UTC
Created attachment 184777 [details]
Set MAKEINFO to the full path of makeinfo

This patch also fixes devel/openocd and graphics/enblend.  These ports needed makeinfo from print/texinfo because makeinfo from old releases failed to build info files.  Now both ports build fine with makeinfo from 10.3.
Comment 3 Jung-uk Kim freebsd_committer 2017-07-27 21:11:53 UTC
BTW, graphics/enblend was using ${LOCALBASE}/bin/makeinfo since r301388.

https://svnweb.freebsd.org/changeset/ports/301388

Then, r428755 erroneously removed print/texinfo from BUILD_DEPENDS.

https://svnweb.freebsd.org/changeset/ports/428755

On 10.3, however, setting USES=makeinfo does NOT add it to dependency.

In fact, a similar thing happened for devel/openocd with r428754.

https://svnweb.freebsd.org/changeset/ports/428754

Then, it was reverted in r428777 because it broke build.

https://svnweb.freebsd.org/changeset/ports/428777

I guess r428755 was never reverted because it does not break build.
Comment 4 Mathieu Arnold freebsd_committer 2017-07-27 21:53:04 UTC
This looks ok, please ask for an exp-run before committing it.
Comment 5 Antoine Brodin freebsd_committer 2017-07-28 21:09:00 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2017-07-28 21:45:52 UTC
A commit references this bug:

Author: jkim
Date: Fri Jul 28 21:45:22 UTC 2017
New revision: 446854
URL: https://svnweb.freebsd.org/changeset/ports/446854

Log:
  Set MAKEINFO to the full path of makeinfo when USES=makeinfo is set.

  PR:		221027
  Reviewed by:	mat
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/makeinfo.mk
  head/audio/glame/Makefile
  head/databases/bbdb/Makefile
  head/deskutils/gcal/Makefile
  head/devel/cutils/Makefile
  head/devel/libmatheval/Makefile
  head/devel/m4/Makefile
  head/devel/monotone/Makefile
  head/devel/openocd/Makefile
  head/editors/flim/Makefile
  head/editors/semi/Makefile
  head/ftp/wget/Makefile
  head/games/heroes/Makefile
  head/graphics/aalib/Makefile
  head/graphics/enblend/Makefile
  head/math/gmp/Makefile
  head/math/mingw32-libgmp/Makefile
  head/security/libgcrypt/Makefile
  head/textproc/flex/Makefile
  head/textproc/gsed/Makefile